## org.apache.http.impl.conn.tsccm
Interface PoolEntryRequest

    public interface PoolEntryRequest

Encapsulates a request for a `BasicPoolEntry`.

Since:
  4.0

Method Summary
`void` `abortRequest()` Aborts the active or next call to `getPoolEntry(long, TimeUnit)`.
`BasicPoolEntry` `getPoolEntry(long timeout, TimeUnit tunit)` Obtains a pool entry with a connection within the given timeout.

Method Detail

### getPoolEntry

    BasicPoolEntry getPoolEntry(long timeout,
                                TimeUnit tunit)
                                throws InterruptedException,
                                       ConnectionPoolTimeoutException

  Obtains a pool entry with a connection within the given timeout. If `abortRequest()` is called before this completes an `InterruptedException` is thrown.

  Parameters:
    `timeout` - the timeout, 0 or negative for no timeout
    `tunit` - the unit for the `timeout`, may be `null` only if there is no timeout
  Returns:
    pool entry holding a connection for the route
  Throws:
    `ConnectionPoolTimeoutException` - if the timeout expired
    `InterruptedException` - if the calling thread was interrupted or the request was aborted

### abortRequest

    void abortRequest()

  Aborts the active or next call to `getPoolEntry(long, TimeUnit)`.

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.